[arch-commits] Commit in nemo-extensions/repos (6 files)

Balló György bgyorgy at archlinux.org
Thu Jun 22 14:33:28 UTC 2017


    Date: Thursday, June 22, 2017 @ 14:33:27
  Author: bgyorgy
Revision: 239571

archrelease: copy trunk to community-i686, community-x86_64

Added:
  nemo-extensions/repos/community-i686/PKGBUILD
    (from rev 239570, nemo-extensions/trunk/PKGBUILD)
  nemo-extensions/repos/community-x86_64/PKGBUILD
    (from rev 239570, nemo-extensions/trunk/PKGBUILD)
Deleted:
  nemo-extensions/repos/community-i686/PKGBUILD
  nemo-extensions/repos/community-i686/nemo-pastebin.install
  nemo-extensions/repos/community-x86_64/PKGBUILD
  nemo-extensions/repos/community-x86_64/nemo-pastebin.install

----------------------------------------+
 /PKGBUILD                              |  354 +++++++++++++++++++++++++++++++
 community-i686/PKGBUILD                |  178 ---------------
 community-i686/nemo-pastebin.install   |   11 
 community-x86_64/PKGBUILD              |  178 ---------------
 community-x86_64/nemo-pastebin.install |   11 
 5 files changed, 354 insertions(+), 378 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2017-06-22 14:33:19 UTC (rev 239570)
+++ community-i686/PKGBUILD	2017-06-22 14:33:27 UTC (rev 239571)
@@ -1,178 +0,0 @@
-# $Id$
-# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
-
-pkgbase=nemo-extensions
-pkgname=('nemo-fileroller'
-	 'nemo-preview'
-	 'nemo-python'
-	 'nemo-share'
-	 'nemo-seahorse')
-	#'nemo-media-columns'
-	#'nemo-pastebin'
-	#'nemo-compare'
-	#'nemo-rabbitvcs'
-pkgver=3.2.0
-pkgrel=1
-pkgdesc="Various extensions for Nemo"
-arch=('i686' 'x86_64')
-license=('GPL2')
-url="https://github.com/linuxmint/nemo-extensions"
-depends=(nemo file-roller cjs clutter-gtk clutter-gst gst-plugins-good libmusicbrainz5
-         evince gtksourceview3 webkit2gtk python2-gobject seahorse-nautilus samba)
-makedepends=(gnome-common gtk-doc intltool gobject-introspection libgnome-keyring) # python2-distutils-extra
-options=('!emptydirs')
-source=("${pkgbase}-${pkgver}.tar.gz::https://github.com/linuxmint/nemo-extensions/archive/${pkgver}.tar.gz")
-sha256sums=('1536fd828b2ee0a8f194155a9e13b8cce937b403b5c87d8e579d7b1ced8d6d14')
-
-prepare() {
-  cd ${pkgbase}-${pkgver}
-
-  # Python2 fix
-  find -type f | xargs sed -i 's@^#!.*python$@#!/usr/bin/python2@'
-
-  # Fix path for nemo-python
-  sed -i 's|libdirsuffix="/i386-linux-gnu/"|libdirsuffix=""|' nemo-python/m4/python.m4
-}
-
-build() {
-  cd ${pkgbase}-${pkgver}
-
-  _configure_pkgs="nemo-fileroller nemo-seahorse nemo-share"
-  for dir in ${_configure_pkgs}
-  do
-    pushd ${dir}
-    autoreconf -fi
-    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
-                --disable-static --disable-schemas-compile
-    sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
-    make
-    popd
-  done
-
-  _autogen_pkgs="nemo-preview nemo-python"
-  for dir in ${_autogen_pkgs}
-  do
-    pushd ${dir}
-    ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
-                 --disable-static --disable-schemas-compile PYTHON=python2
-    sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
-    make
-    popd
-  done
-
-    # # nemo-pastebin
-    # cd nemo-pastebin
-    # python2 ./setup.py build --build-base ${srcdir}/build/ || return 1
-    # cd ..
-
-  	# nemo-media-columns
-  	# Nothing to do here
-  	# Required python2-pypdf from AUR
-
-  	# nemo-compare
-  	# cd nemo-compare
-
-    # nemo-rabbitvcs
-    # Nothing to do here
-
-}
-
-package_nemo-fileroller(){
-  pkgdesc="File archiver extension for Nemo"
-  depends=(nemo file-roller)
-
-  cd ${pkgbase}-${pkgver}/nemo-fileroller
-  make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-preview(){
-  pkgdesc="GtkClutter and Javascript-based quick previewer for Nemo"
-  depends=(nemo cjs clutter-gtk clutter-gst libmusicbrainz5 evince gtksourceview3 webkit2gtk)
-
-  cd ${pkgbase}-${pkgver}/nemo-preview
-  make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-python() {
-  pkgdesc="Python2 binding for Nemo components"
-  depends=(nemo python2-gobject)
-
-  cd ${pkgbase}-${pkgver}/nemo-python
-  make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-seahorse(){
-  pkgdesc="PGP encryption and signing extension for Nemo"
-  depends=(nemo seahorse-nautilus)
-
-  cd ${pkgbase}-${pkgver}/nemo-seahorse
-  make DESTDIR="${pkgdir}" install
-
-  # seahorse-tool is already in seahorse-nautilus package
-  make -C data DESTDIR="${pkgdir}" uninstall
-  make -C tool DESTDIR="${pkgdir}" uninstall
-}
-
-package_nemo-share(){
-  pkgdesc="Samba extension for Nemo"
-  depends=(nemo samba)
-
-  cd ${pkgbase}-${pkgver}/nemo-share
-  make DESTDIR="${pkgdir}" install
-}
-
-# package_nemo-media-columns(){
-# 	cd ${pkgbase}-${pkgver}/nemo-media-columns
-
-# 	pkgdesc=("A Nemo extension to display music/EXIF and PDF metadata info in the Nemo List View")
-# 	arch=(any)
-
-#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
-# 	install -Dm755 ${srcdir}/nemo-media-columns.py \
-# 			${pkgdir}/usr/share/nemo-python/extensions/nemo-media-columns.py
-# }
-
-# package_nemo-pastebin(){
-# 	cd ${pkgbase}-${pkgver}/nemo-pastebin
-
-# 	pkgdesc="Nemo extension to send files to a pastebin"
-# 	arch=(any)
-# 	depends=(nemo pastebinit nemo-python)
-#   install=nemo-pastebin.install
-
-# 	python2 ./setup.py install --prefix=/usr --root=${pkgdir} \
-# 		--no-compile -O0
-# }
-
-# package_nemo-compare() {
-#   cd ${pkgbase}-${pkgver}/nemo-compare
-
-#   pkgdesc="Context menu comparison extension for Nemo file manager"
-#   depends=(python2 python2-xdg meld nemo-python)
-
-#   install -d ${pkgdir}/usr/share/applications/
-#   install -d ${pkgdir}/usr/share/nemo-compare/
-
-#   install -Dm755 ${srcdir}/data/nemo-compare-preferences.desktop \
-#                   /usr/share/applications/nemo-compare-preferences.desktop
-#   install -Dm755 ${srcdir}/data/nemo-compare-notification \
-#                   /usr/share/nemo-compare/nemo-compare-notification
-#   install -Dm755 ${srcdir}/src/nemo-compare.py \
-#                   /usr/share/nemo-compare/nemo-compare.py
-#   install -Dm755 ${srcdir}/src/utils.py \
-#                   /usr/share/nemo-compare/utils.py
-#   install -Dm755 ${srcdir}/src/nemo-compare-preferences.py \
-#                   /usr/share/nemo-compare/nemo-compare-preferences.py
-
-# }
-
-# package_nemo-rabbitvcs(){
-# 	cd ${pkgbase}-${pkgver}/nemo-rabbitvcs
-
-#   depends=(nemo-python python2-dbus)
-
-#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
-#   install -Dm755 ${srcdir}/RabbitVCS.py \
-#       ${pkgdir}/usr/share/nemo-python/extensions/RabbitVCS.py
-# }
-

Copied: nemo-extensions/repos/community-i686/PKGBUILD (from rev 239570, nemo-extensions/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2017-06-22 14:33:27 UTC (rev 239571)
@@ -0,0 +1,177 @@
+# $Id$
+# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
+
+pkgbase=nemo-extensions
+pkgname=('nemo-fileroller'
+	 'nemo-preview'
+	 'nemo-python'
+	 'nemo-share'
+	 'nemo-seahorse')
+	#'nemo-media-columns'
+	#'nemo-pastebin'
+	#'nemo-compare'
+	#'nemo-rabbitvcs'
+pkgver=3.4.0
+pkgrel=1
+pkgdesc="Various extensions for Nemo"
+arch=('i686' 'x86_64')
+license=('GPL2')
+url="https://github.com/linuxmint/nemo-extensions"
+depends=(nemo file-roller cjs clutter-gtk clutter-gst gst-plugins-good libmusicbrainz5
+         evince gtksourceview3 webkit2gtk python2-gobject seahorse-nautilus samba)
+makedepends=(gnome-common gtk-doc intltool gobject-introspection libgnome-keyring) # python2-distutils-extra
+options=('!emptydirs')
+source=("${pkgbase}-${pkgver}.tar.gz::https://github.com/linuxmint/nemo-extensions/archive/${pkgver}.tar.gz")
+sha256sums=('68dadce98c17321c3c22e596452a1b7aa0842c5faa05688734430857e037b3f2')
+
+prepare() {
+  cd ${pkgbase}-${pkgver}
+
+  # Python2 fix
+  find -type f | xargs sed -i 's@^#!.*python$@#!/usr/bin/python2@'
+
+  # Fix path for nemo-python
+  sed -i 's|libdirsuffix="/i386-linux-gnu/"|libdirsuffix=""|' nemo-python/m4/python.m4
+}
+
+build() {
+  cd ${pkgbase}-${pkgver}
+
+  _configure_pkgs="nemo-fileroller nemo-seahorse nemo-share"
+  for dir in ${_configure_pkgs}
+  do
+    pushd ${dir}
+    autoreconf -fi
+    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
+                --disable-static --disable-schemas-compile
+    sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
+    make
+    popd
+  done
+
+  _autogen_pkgs="nemo-preview nemo-python"
+  for dir in ${_autogen_pkgs}
+  do
+    pushd ${dir}
+    ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
+                 --disable-static --disable-schemas-compile PYTHON=python2
+    sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
+    make
+    popd
+  done
+
+    # # nemo-pastebin
+    # cd nemo-pastebin
+    # python2 ./setup.py build --build-base ${srcdir}/build/ || return 1
+    # cd ..
+
+  	# nemo-media-columns
+  	# Nothing to do here
+  	# Required python2-pypdf from AUR
+
+  	# nemo-compare
+  	# cd nemo-compare
+
+    # nemo-rabbitvcs
+    # Nothing to do here
+
+}
+
+package_nemo-fileroller(){
+  pkgdesc="File archiver extension for Nemo"
+  depends=(nemo file-roller)
+
+  cd ${pkgbase}-${pkgver}/nemo-fileroller
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-preview(){
+  pkgdesc="GtkClutter and Javascript-based quick previewer for Nemo"
+  depends=(nemo cjs clutter-gtk clutter-gst libmusicbrainz5 evince gtksourceview3 webkit2gtk)
+
+  cd ${pkgbase}-${pkgver}/nemo-preview
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-python() {
+  pkgdesc="Python2 binding for Nemo components"
+  depends=(nemo python2-gobject)
+
+  cd ${pkgbase}-${pkgver}/nemo-python
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-seahorse(){
+  pkgdesc="PGP encryption and signing extension for Nemo"
+  depends=(nemo seahorse-nautilus)
+
+  cd ${pkgbase}-${pkgver}/nemo-seahorse
+  make DESTDIR="${pkgdir}" install
+
+  # seahorse-tool is already in seahorse-nautilus package
+  make -C data DESTDIR="${pkgdir}" uninstall
+  make -C tool DESTDIR="${pkgdir}" uninstall
+}
+
+package_nemo-share(){
+  pkgdesc="Samba extension for Nemo"
+  depends=(nemo samba)
+
+  cd ${pkgbase}-${pkgver}/nemo-share
+  make DESTDIR="${pkgdir}" install
+}
+
+# package_nemo-media-columns(){
+# 	cd ${pkgbase}-${pkgver}/nemo-media-columns
+
+# 	pkgdesc=("A Nemo extension to display music/EXIF and PDF metadata info in the Nemo List View")
+# 	arch=(any)
+
+#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
+# 	install -Dm755 ${srcdir}/nemo-media-columns.py \
+# 			${pkgdir}/usr/share/nemo-python/extensions/nemo-media-columns.py
+# }
+
+# package_nemo-pastebin(){
+# 	cd ${pkgbase}-${pkgver}/nemo-pastebin
+
+# 	pkgdesc="Nemo extension to send files to a pastebin"
+# 	arch=(any)
+# 	depends=(nemo pastebinit nemo-python)
+
+# 	python2 ./setup.py install --prefix=/usr --root=${pkgdir} \
+# 		--no-compile -O0
+# }
+
+# package_nemo-compare() {
+#   cd ${pkgbase}-${pkgver}/nemo-compare
+
+#   pkgdesc="Context menu comparison extension for Nemo file manager"
+#   depends=(python2 python2-xdg meld nemo-python)
+
+#   install -d ${pkgdir}/usr/share/applications/
+#   install -d ${pkgdir}/usr/share/nemo-compare/
+
+#   install -Dm755 ${srcdir}/data/nemo-compare-preferences.desktop \
+#                   /usr/share/applications/nemo-compare-preferences.desktop
+#   install -Dm755 ${srcdir}/data/nemo-compare-notification \
+#                   /usr/share/nemo-compare/nemo-compare-notification
+#   install -Dm755 ${srcdir}/src/nemo-compare.py \
+#                   /usr/share/nemo-compare/nemo-compare.py
+#   install -Dm755 ${srcdir}/src/utils.py \
+#                   /usr/share/nemo-compare/utils.py
+#   install -Dm755 ${srcdir}/src/nemo-compare-preferences.py \
+#                   /usr/share/nemo-compare/nemo-compare-preferences.py
+
+# }
+
+# package_nemo-rabbitvcs(){
+# 	cd ${pkgbase}-${pkgver}/nemo-rabbitvcs
+
+#   depends=(nemo-python python2-dbus)
+
+#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
+#   install -Dm755 ${srcdir}/RabbitVCS.py \
+#       ${pkgdir}/usr/share/nemo-python/extensions/RabbitVCS.py
+# }
+

Deleted: community-i686/nemo-pastebin.install
===================================================================
--- community-i686/nemo-pastebin.install	2017-06-22 14:33:19 UTC (rev 239570)
+++ community-i686/nemo-pastebin.install	2017-06-22 14:33:27 UTC (rev 239571)
@@ -1,11 +0,0 @@
-post_install() {
-  glib-compile-schemas usr/share/glib-2.0/schemas
-}
-
-post_upgrade() {
-  post_install
-}
-
-post_remove() {
-  post_install
-}

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2017-06-22 14:33:19 UTC (rev 239570)
+++ community-x86_64/PKGBUILD	2017-06-22 14:33:27 UTC (rev 239571)
@@ -1,178 +0,0 @@
-# $Id$
-# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
-
-pkgbase=nemo-extensions
-pkgname=('nemo-fileroller'
-	 'nemo-preview'
-	 'nemo-python'
-	 'nemo-share'
-	 'nemo-seahorse')
-	#'nemo-media-columns'
-	#'nemo-pastebin'
-	#'nemo-compare'
-	#'nemo-rabbitvcs'
-pkgver=3.2.0
-pkgrel=1
-pkgdesc="Various extensions for Nemo"
-arch=('i686' 'x86_64')
-license=('GPL2')
-url="https://github.com/linuxmint/nemo-extensions"
-depends=(nemo file-roller cjs clutter-gtk clutter-gst gst-plugins-good libmusicbrainz5
-         evince gtksourceview3 webkit2gtk python2-gobject seahorse-nautilus samba)
-makedepends=(gnome-common gtk-doc intltool gobject-introspection libgnome-keyring) # python2-distutils-extra
-options=('!emptydirs')
-source=("${pkgbase}-${pkgver}.tar.gz::https://github.com/linuxmint/nemo-extensions/archive/${pkgver}.tar.gz")
-sha256sums=('1536fd828b2ee0a8f194155a9e13b8cce937b403b5c87d8e579d7b1ced8d6d14')
-
-prepare() {
-  cd ${pkgbase}-${pkgver}
-
-  # Python2 fix
-  find -type f | xargs sed -i 's@^#!.*python$@#!/usr/bin/python2@'
-
-  # Fix path for nemo-python
-  sed -i 's|libdirsuffix="/i386-linux-gnu/"|libdirsuffix=""|' nemo-python/m4/python.m4
-}
-
-build() {
-  cd ${pkgbase}-${pkgver}
-
-  _configure_pkgs="nemo-fileroller nemo-seahorse nemo-share"
-  for dir in ${_configure_pkgs}
-  do
-    pushd ${dir}
-    autoreconf -fi
-    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
-                --disable-static --disable-schemas-compile
-    sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
-    make
-    popd
-  done
-
-  _autogen_pkgs="nemo-preview nemo-python"
-  for dir in ${_autogen_pkgs}
-  do
-    pushd ${dir}
-    ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
-                 --disable-static --disable-schemas-compile PYTHON=python2
-    sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
-    make
-    popd
-  done
-
-    # # nemo-pastebin
-    # cd nemo-pastebin
-    # python2 ./setup.py build --build-base ${srcdir}/build/ || return 1
-    # cd ..
-
-  	# nemo-media-columns
-  	# Nothing to do here
-  	# Required python2-pypdf from AUR
-
-  	# nemo-compare
-  	# cd nemo-compare
-
-    # nemo-rabbitvcs
-    # Nothing to do here
-
-}
-
-package_nemo-fileroller(){
-  pkgdesc="File archiver extension for Nemo"
-  depends=(nemo file-roller)
-
-  cd ${pkgbase}-${pkgver}/nemo-fileroller
-  make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-preview(){
-  pkgdesc="GtkClutter and Javascript-based quick previewer for Nemo"
-  depends=(nemo cjs clutter-gtk clutter-gst libmusicbrainz5 evince gtksourceview3 webkit2gtk)
-
-  cd ${pkgbase}-${pkgver}/nemo-preview
-  make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-python() {
-  pkgdesc="Python2 binding for Nemo components"
-  depends=(nemo python2-gobject)
-
-  cd ${pkgbase}-${pkgver}/nemo-python
-  make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-seahorse(){
-  pkgdesc="PGP encryption and signing extension for Nemo"
-  depends=(nemo seahorse-nautilus)
-
-  cd ${pkgbase}-${pkgver}/nemo-seahorse
-  make DESTDIR="${pkgdir}" install
-
-  # seahorse-tool is already in seahorse-nautilus package
-  make -C data DESTDIR="${pkgdir}" uninstall
-  make -C tool DESTDIR="${pkgdir}" uninstall
-}
-
-package_nemo-share(){
-  pkgdesc="Samba extension for Nemo"
-  depends=(nemo samba)
-
-  cd ${pkgbase}-${pkgver}/nemo-share
-  make DESTDIR="${pkgdir}" install
-}
-
-# package_nemo-media-columns(){
-# 	cd ${pkgbase}-${pkgver}/nemo-media-columns
-
-# 	pkgdesc=("A Nemo extension to display music/EXIF and PDF metadata info in the Nemo List View")
-# 	arch=(any)
-
-#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
-# 	install -Dm755 ${srcdir}/nemo-media-columns.py \
-# 			${pkgdir}/usr/share/nemo-python/extensions/nemo-media-columns.py
-# }
-
-# package_nemo-pastebin(){
-# 	cd ${pkgbase}-${pkgver}/nemo-pastebin
-
-# 	pkgdesc="Nemo extension to send files to a pastebin"
-# 	arch=(any)
-# 	depends=(nemo pastebinit nemo-python)
-#   install=nemo-pastebin.install
-
-# 	python2 ./setup.py install --prefix=/usr --root=${pkgdir} \
-# 		--no-compile -O0
-# }
-
-# package_nemo-compare() {
-#   cd ${pkgbase}-${pkgver}/nemo-compare
-
-#   pkgdesc="Context menu comparison extension for Nemo file manager"
-#   depends=(python2 python2-xdg meld nemo-python)
-
-#   install -d ${pkgdir}/usr/share/applications/
-#   install -d ${pkgdir}/usr/share/nemo-compare/
-
-#   install -Dm755 ${srcdir}/data/nemo-compare-preferences.desktop \
-#                   /usr/share/applications/nemo-compare-preferences.desktop
-#   install -Dm755 ${srcdir}/data/nemo-compare-notification \
-#                   /usr/share/nemo-compare/nemo-compare-notification
-#   install -Dm755 ${srcdir}/src/nemo-compare.py \
-#                   /usr/share/nemo-compare/nemo-compare.py
-#   install -Dm755 ${srcdir}/src/utils.py \
-#                   /usr/share/nemo-compare/utils.py
-#   install -Dm755 ${srcdir}/src/nemo-compare-preferences.py \
-#                   /usr/share/nemo-compare/nemo-compare-preferences.py
-
-# }
-
-# package_nemo-rabbitvcs(){
-# 	cd ${pkgbase}-${pkgver}/nemo-rabbitvcs
-
-#   depends=(nemo-python python2-dbus)
-
-#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
-#   install -Dm755 ${srcdir}/RabbitVCS.py \
-#       ${pkgdir}/usr/share/nemo-python/extensions/RabbitVCS.py
-# }
-

Copied: nemo-extensions/repos/community-x86_64/PKGBUILD (from rev 239570, nemo-extensions/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2017-06-22 14:33:27 UTC (rev 239571)
@@ -0,0 +1,177 @@
+# $Id$
+# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
+
+pkgbase=nemo-extensions
+pkgname=('nemo-fileroller'
+	 'nemo-preview'
+	 'nemo-python'
+	 'nemo-share'
+	 'nemo-seahorse')
+	#'nemo-media-columns'
+	#'nemo-pastebin'
+	#'nemo-compare'
+	#'nemo-rabbitvcs'
+pkgver=3.4.0
+pkgrel=1
+pkgdesc="Various extensions for Nemo"
+arch=('i686' 'x86_64')
+license=('GPL2')
+url="https://github.com/linuxmint/nemo-extensions"
+depends=(nemo file-roller cjs clutter-gtk clutter-gst gst-plugins-good libmusicbrainz5
+         evince gtksourceview3 webkit2gtk python2-gobject seahorse-nautilus samba)
+makedepends=(gnome-common gtk-doc intltool gobject-introspection libgnome-keyring) # python2-distutils-extra
+options=('!emptydirs')
+source=("${pkgbase}-${pkgver}.tar.gz::https://github.com/linuxmint/nemo-extensions/archive/${pkgver}.tar.gz")
+sha256sums=('68dadce98c17321c3c22e596452a1b7aa0842c5faa05688734430857e037b3f2')
+
+prepare() {
+  cd ${pkgbase}-${pkgver}
+
+  # Python2 fix
+  find -type f | xargs sed -i 's@^#!.*python$@#!/usr/bin/python2@'
+
+  # Fix path for nemo-python
+  sed -i 's|libdirsuffix="/i386-linux-gnu/"|libdirsuffix=""|' nemo-python/m4/python.m4
+}
+
+build() {
+  cd ${pkgbase}-${pkgver}
+
+  _configure_pkgs="nemo-fileroller nemo-seahorse nemo-share"
+  for dir in ${_configure_pkgs}
+  do
+    pushd ${dir}
+    autoreconf -fi
+    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
+                --disable-static --disable-schemas-compile
+    sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
+    make
+    popd
+  done
+
+  _autogen_pkgs="nemo-preview nemo-python"
+  for dir in ${_autogen_pkgs}
+  do
+    pushd ${dir}
+    ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
+                 --disable-static --disable-schemas-compile PYTHON=python2
+    sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
+    make
+    popd
+  done
+
+    # # nemo-pastebin
+    # cd nemo-pastebin
+    # python2 ./setup.py build --build-base ${srcdir}/build/ || return 1
+    # cd ..
+
+  	# nemo-media-columns
+  	# Nothing to do here
+  	# Required python2-pypdf from AUR
+
+  	# nemo-compare
+  	# cd nemo-compare
+
+    # nemo-rabbitvcs
+    # Nothing to do here
+
+}
+
+package_nemo-fileroller(){
+  pkgdesc="File archiver extension for Nemo"
+  depends=(nemo file-roller)
+
+  cd ${pkgbase}-${pkgver}/nemo-fileroller
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-preview(){
+  pkgdesc="GtkClutter and Javascript-based quick previewer for Nemo"
+  depends=(nemo cjs clutter-gtk clutter-gst libmusicbrainz5 evince gtksourceview3 webkit2gtk)
+
+  cd ${pkgbase}-${pkgver}/nemo-preview
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-python() {
+  pkgdesc="Python2 binding for Nemo components"
+  depends=(nemo python2-gobject)
+
+  cd ${pkgbase}-${pkgver}/nemo-python
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-seahorse(){
+  pkgdesc="PGP encryption and signing extension for Nemo"
+  depends=(nemo seahorse-nautilus)
+
+  cd ${pkgbase}-${pkgver}/nemo-seahorse
+  make DESTDIR="${pkgdir}" install
+
+  # seahorse-tool is already in seahorse-nautilus package
+  make -C data DESTDIR="${pkgdir}" uninstall
+  make -C tool DESTDIR="${pkgdir}" uninstall
+}
+
+package_nemo-share(){
+  pkgdesc="Samba extension for Nemo"
+  depends=(nemo samba)
+
+  cd ${pkgbase}-${pkgver}/nemo-share
+  make DESTDIR="${pkgdir}" install
+}
+
+# package_nemo-media-columns(){
+# 	cd ${pkgbase}-${pkgver}/nemo-media-columns
+
+# 	pkgdesc=("A Nemo extension to display music/EXIF and PDF metadata info in the Nemo List View")
+# 	arch=(any)
+
+#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
+# 	install -Dm755 ${srcdir}/nemo-media-columns.py \
+# 			${pkgdir}/usr/share/nemo-python/extensions/nemo-media-columns.py
+# }
+
+# package_nemo-pastebin(){
+# 	cd ${pkgbase}-${pkgver}/nemo-pastebin
+
+# 	pkgdesc="Nemo extension to send files to a pastebin"
+# 	arch=(any)
+# 	depends=(nemo pastebinit nemo-python)
+
+# 	python2 ./setup.py install --prefix=/usr --root=${pkgdir} \
+# 		--no-compile -O0
+# }
+
+# package_nemo-compare() {
+#   cd ${pkgbase}-${pkgver}/nemo-compare
+
+#   pkgdesc="Context menu comparison extension for Nemo file manager"
+#   depends=(python2 python2-xdg meld nemo-python)
+
+#   install -d ${pkgdir}/usr/share/applications/
+#   install -d ${pkgdir}/usr/share/nemo-compare/
+
+#   install -Dm755 ${srcdir}/data/nemo-compare-preferences.desktop \
+#                   /usr/share/applications/nemo-compare-preferences.desktop
+#   install -Dm755 ${srcdir}/data/nemo-compare-notification \
+#                   /usr/share/nemo-compare/nemo-compare-notification
+#   install -Dm755 ${srcdir}/src/nemo-compare.py \
+#                   /usr/share/nemo-compare/nemo-compare.py
+#   install -Dm755 ${srcdir}/src/utils.py \
+#                   /usr/share/nemo-compare/utils.py
+#   install -Dm755 ${srcdir}/src/nemo-compare-preferences.py \
+#                   /usr/share/nemo-compare/nemo-compare-preferences.py
+
+# }
+
+# package_nemo-rabbitvcs(){
+# 	cd ${pkgbase}-${pkgver}/nemo-rabbitvcs
+
+#   depends=(nemo-python python2-dbus)
+
+#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
+#   install -Dm755 ${srcdir}/RabbitVCS.py \
+#       ${pkgdir}/usr/share/nemo-python/extensions/RabbitVCS.py
+# }
+

Deleted: community-x86_64/nemo-pastebin.install
===================================================================
--- community-x86_64/nemo-pastebin.install	2017-06-22 14:33:19 UTC (rev 239570)
+++ community-x86_64/nemo-pastebin.install	2017-06-22 14:33:27 UTC (rev 239571)
@@ -1,11 +0,0 @@
-post_install() {
-  glib-compile-schemas usr/share/glib-2.0/schemas
-}
-
-post_upgrade() {
-  post_install
-}
-
-post_remove() {
-  post_install
-}



More information about the arch-commits mailing list